# getmempooldescendants - Dash

#### Parameters

`TXID` - string (hex)

The TXID of a transaction in the memory pool, encoded as hex in RPC byte order.

`Format` - boolean

Optional.

Set to true to get json objects describing each transaction in the memory pool; set to false (the default) to only get an array of TXIDs.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "getmempooldescendants",
"params": ["dc63e7f6929658feade06fec1eeaf43b", false],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": [
        "dc63e7f6929658feade06fec1eeaf43b3160095d66a9b59f57e77e56c20241fc"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_getmempooldescendants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
